%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api 2
%define major 17
%define gmajor 2.0
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname matedesktop-gir %{gmajor}
%define develname %mklibname %{name} -d

Name:     mate-desktop
Version:  1.26.1
Release:  %mkrel 1
License:  GPLv2+ and LGPLv2+ and MIT
Summary:  Library with common APIs for various MATE modules
URL:      https://mate-desktop.org/
Group:    Graphical desktop/MATE
Source0:  https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:  mate-mga.gschema.override
# Default application associations (mga#18522)
Source2:  mate-mimeapps.list

BuildRequires: mate-common >= 1.26.0
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: intltool
BuildRequires: iso-codes
BuildRequires: librsvg
BuildRequires: autoconf-archive

Requires: xdg-user-dirs-gtk
Requires: libnotify
Requires: mate-panel
Requires: yelp
Requires: mate-notification-daemon
Requires: %{name}-schemas = %{version}-%{release}

Recommends: mate-user-guide

%description
This package contains some data files and other shared components of the
MATE user environment.

%package schemas
Summary: Gsettings schemas for %{name}
Group: Graphical desktop/MATE
BuildArch: noarch

%description schemas
This package contains gsettings schemas for %{name} package
and atril (MATE Desktop document viewer).

%package -n %{libname}
Summary: Mate desktop internal libraries
Group: System/Libraries

%description -n %{libname}
This package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop.

%package -n %{girname}
Summary: GObject Introspection interface description for MateDesktop
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for MateDesktop.

%package -n %{develname}
Summary: MATE module API library development files
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contain the development library with common API for various MATE modules.

%prep
%autosetup

%build
# Needed for above patches
NOCONFIGURE=1 ./autogen.sh
%configure \
     --enable-gtk-doc                                      \
     --disable-schemas-compile                             \
     --with-x                                              \
     --disable-static                                      \
     --with-pnp-ids-path="%{_datadir}/hwdata/pnp.ids"      \
     --enable-gtk-doc-html                                 \
     --enable-introspection=yes
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

install -D -m 0644 %{_sourcedir}/mate-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

install -D -m 0644 %{_sourcedir}/mate-mimeapps.list %{buildroot}%{_datadir}/applications/

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING COPYING.LIB
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/applications/mate-mimeapps.list
%{_datadir}/mate-about/
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-color-select.1*
%{_datadir}/icons/hicolor/*/apps/mate-desktop.png
%{_datadir}/icons/hicolor/*/apps/mate-desktop-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/mate-desktop.svg

%files schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/glib-2.0/schemas/mate-mga.gschema.override

%files -n %{libname}
%{_libdir}/libmate-desktop-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MateDesktop-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/mate-desktop/
%{_datadir}/gir-1.0/MateDesktop-2.0.gir
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0/


%changelog
* Wed Mar 15 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1949172
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1836266
- Mageia 9 Mass Rebuild

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740013
- new version 1.26.0

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618697
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1547892
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488603
- BR autoconf-archive
- SILETN: Upload file
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465676
- Update to version 1.22.2

* Fri May 10 2019 kekepower <kekepower> 1.22.1-1.mga7
+ Revision: 1397091
- BR librsvg
- BR pkgconfig(librsvg-2.0)
- Update to version 1.22.1

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375816
- Update to version 1.22.0

* Thu Dec 20 2018 kekepower <kekepower> 1.20.4-1.mga7
+ Revision: 1343126
- Update to version 1.20.4
- Rolled back to r1321237

* Mon Nov 26 2018 kekepower <kekepower> 1.21.2-1.mga7
+ Revision: 1335577
- BR iso-codes
- Update to version 1.21.0

* Wed Oct 17 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1321237
- Update to version 1.20.3

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299468
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201326
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.2-1.mga7
+ Revision: 1187389
- Update to 1.19.2 version

* Fri Oct 27 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1174296
- Updated to 1.19.1 version

* Wed Aug 23 2017 pterjan <pterjan> 1.18.0-2.mga7
+ Revision: 1143597
- Fix for new find_lang

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092526
- Update to 1.18.0 version

* Mon Jan 16 2017 tarakbumba <tarakbumba> 1.17.1-1.mga6
+ Revision: 1082093
- Update to 1.17.1 version
- Update to 1.17.0 version
- Clean gtk2 references from specfile

* Tue Dec 13 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1074640
- new version 1.16.1
- build with gtk3
- split out gi typelib

* Sun May 22 2016 tarakbumba <tarakbumba> 1.14.1-1.mga6
+ Revision: 1017813
- Update to 1.14.1 version

* Wed Apr 13 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001148
- Update to 1.14.0 version

* Sun Apr 03 2016 tarakbumba <tarakbumba> 1.13.0-2.mga6
+ Revision: 997981
- Update gschema.override to use adwaita gtk theme for gtk+3 (fixes mga#17939)

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942216
- Update to 1.13.0 version

* Thu Dec 03 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 907863
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 899127
- Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 873048
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 836938
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 749583
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.1-3.mga5
+ Revision: 727158
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 682188
- Mageia 5 Mass Rebuild

* Tue May 06 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 620365
- Update to 1.8.1 version
- Remove mate-keyring obsoletes, gnome-keyring should obsolete it

* Fri Mar 07 2014 wally <wally> 1.8.0-2.mga5
+ Revision: 600943
- add forgotten conflicts after schema split out

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600071
- Updated to version 1.8.0

* Mon Mar 03 2014 tarakbumba <tarakbumba> 1.7.90-4.mga5
+ Revision: 599055
- Split gsettings schemas into seperate package which is needed by atril
- Tidy specfile a bit

* Mon Mar 03 2014 wally <wally> 1.7.90-3.mga5
+ Revision: 598855
- fix mate keyring obsoletes
- tag some docs as such

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-2.mga5
+ Revision: 598219
- Fix mate-panel requires; obsolete mate-keyring stuff

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598044
- Update to 1.7.x version

* Sun Jan 19 2014 tarakbumba <tarakbumba> 1.6.2-2.mga4
+ Revision: 567004
- Default to stretched background

* Thu Jan 02 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563931
-New bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531010
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 442919
- imported package mate-desktop

